Remove Referral Card Holder with campaign ID
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/referrals/{campaignId}/members/{memberId}/holders/{holderId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'Removes the holder from a referral card. You can remove a referee only.
To use this endpoint, you must have the following permissions:
- Create and modify Customers and Segments (
customers.modify) - Publish Voucher (
vouchers.publish)
DELETE
/
v1
/
referrals
/
{campaignId}
/
members
/
{memberId}
/
holders
/
{holderId}
Remove Referral Card Holder with campaign ID
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/referrals/{campaignId}/members/{memberId}/holders/{holderId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Path Parameters
Unique identifier of a referral program campaign.
Example:
"camp_rRsfatlwN7unSeUIJDCYedal"
Unique referral code or its identifier.
Example:
"MmFAzfDe"
Unique identifier of a redeemable holder.
Example:
"rh_0f1ab744ce8277d0dc"
Response
Returns no content if removal is successful.
Last modified on February 3, 2026
Was this page helpful?
⌘I

